qpid::management::Manageable Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
qpid::management::Manageable Class Reference

`#include <qpid/management/Manageable.h>`

List of all members.

## Public Types
typedef uint32_t | status_t
## Public Member Functions
virtual | ~Manageable (void)=0
virtual ManagementObject * | GetManagementObject (void) const =0
virtual status_t | ManagementMethod (uint32_t methodId, Args &args, std::string &text)
virtual bool | AuthorizeMethod (uint32_t methodId, Args &args, const std::string &userId)
## Static Public Member Functions
static std::string | StatusText (status_t status, std::string text=std::string())
## Static Public Attributes
static const status_t | STATUS_OK = 0
static const status_t | STATUS_UNKNOWN_OBJECT = 1
static const status_t | STATUS_UNKNOWN_METHOD = 2
static const status_t | STATUS_NOT_IMPLEMENTED = 3
static const status_t | STATUS_PARAMETER_INVALID = 4
static const status_t | STATUS_FEATURE_NOT_IMPLEMENTED = 5
static const status_t | STATUS_FORBIDDEN = 6
static const status_t | STATUS_EXCEPTION = 7
static const status_t | STATUS_USER = 0x00010000

## Member Typedef Documentation

typedef uint32_t qpid::management::Manageable::status_t

Definition at line 39 of file Manageable.h.

## Constructor & Destructor Documentation

qpid::management::Manageable::~Manageable | ( | void |  | ) | `[inline, pure virtual]`

Definition at line 73 of file Manageable.h.

## Member Function Documentation

virtual bool qpid::management::Manageable::AuthorizeMethod | ( | uint32_t | methodId,
|  | Args & | args,
|  | const std::string & | userId
| ) |  | `[virtual]`

virtual ManagementObject* qpid::management::Manageable::GetManagementObject | ( | void |  | ) | const`[pure virtual]`

virtual status_t qpid::management::Manageable::ManagementMethod | ( | uint32_t | methodId,
|  | Args & | args,
|  | std::string & | text
| ) |  | `[virtual]`

static std::string qpid::management::Manageable::StatusText | ( | status_t | status,
|  | std::string | text = `std::string()`
| ) |  | `[static]`

## Member Data Documentation

const status_t qpid::management::Manageable::STATUS_EXCEPTION = 7`[static]`

Definition at line 49 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_FEATURE_NOT_IMPLEMENTED = 5`[static]`

Definition at line 47 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_FORBIDDEN = 6`[static]`

Definition at line 48 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_NOT_IMPLEMENTED = 3`[static]`

Definition at line 45 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_OK = 0`[static]`

Definition at line 42 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_PARAMETER_INVALID = 4`[static]`

Definition at line 46 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_UNKNOWN_METHOD = 2`[static]`

Definition at line 44 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_UNKNOWN_OBJECT = 1`[static]`

Definition at line 43 of file Manageable.h.

const status_t qpid::management::Manageable::STATUS_USER = 0x00010000`[static]`

Definition at line 50 of file Manageable.h.

The documentation for this class was generated from the following file:

- qpid/management/Manageable.h